ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Configurations

This resource returns your domain and product catalog version details - Product Catalog 1.0 (v1) and Product Catalog 2.0 (v2).

Sample ConfigurationJSON

API Index URL

https://[site].chargebee.com/api/v2/configurations

Configurations attributes

domain
optional, string, max chars=50

The Chargebee site for which the information has been requested. It is the same as the value of {"site"} provided as a path parameter.

product_catalog_version
optional, enumerated string

The Product Catalog version of the site

Possible Enum Values
v1

Indicates Product Catalog 1.0

v2

Indicates Product Catalog 2.0

chargebee_response_schema_type
optional, enumerated string

Specifies the API response format based on the product catalog version of the site.

Possible Enum Values
plans_addons

The response format follows product catalog 1.0 , using plans and addons .

items

The response format follows product catalog 2.0 , using items .

compat

The response supports both Product Catalog 1.0 and 2.0 formats. It is applicable only to sites that have been automatically upgraded to Product Catalog 2.0.